POST Api/Damage

URI Example

POST Api/Damage

URI Parameters

None.

Body Parameters

DamageBinding
NameDescriptionTypeAdditional information
ParentDamageId

integer

None.

DamageCategoryId

integer

Required

Name

Dictionary of string [key] and string [value]

None.

Description

Dictionary of string [key] and string [value]

None.

Interrelations

Dictionary of string [key] and string [value]

None.

EquivalentTerms

Dictionary of string [key] and string [value]

None.

NoToBeConfusedWith

Dictionary of string [key] and string [value]

None.

CharacterizationParameters

Collection of integer

None.

ConstructionElements

Collection of integer

None.

ConstructionMaterials

Collection of integer

None.

DamageCauses

Collection of integer

None.

DamageConsequences

Collection of integer

None.

DamagePreventions

Collection of integer

None.

Inactive

boolean

None.

Request Formats

application/json, text/json, application/hal+json
  • {
      "parentDamageId": 1,
      "damageCategoryId": 1,
      "name": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "description": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "interrelations": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "equivalentTerms": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "noToBeConfusedWith": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "characterizationParameters": [
        1,
        2
      ],
      "constructionElements": [
        1,
        2
      ],
      "constructionMaterials": [
        1,
        2
      ],
      "damageCauses": [
        1,
        2
      ],
      "damageConsequences": [
        1,
        2
      ],
      "damagePreventions": [
        1,
        2
      ],
      "inactive": true
    }
    

Resource Description

DamageResource
NameDescriptionTypeAdditional information
Id

integer

None.

DamageCategoryId

integer

None.

ParentDamageId

integer

None.

Name

Object

None.

Description

Object

None.

Interrelations

Object

None.

EquivalentTerms

Object

None.

NoToBeConfusedWith

Object

None.

Inactive

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "damageCategoryId": 2,
      "parentDamageId": 1,
      "name": {},
      "description": {},
      "interrelations": {},
      "equivalentTerms": {},
      "noToBeConfusedWith": {},
      "inactive": true,
      "updateDate": "2026-10-29T13:05:31.6682616+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }